Package org.jfree.report.modules.gui.swing.common

# Class CenterLayout

java.lang.Object
org.jfree.report.modules.gui.swing.common.CenterLayout

All Implemented Interfaces:
  `LayoutManager`, `Serializable`

public class CenterLayout extends Object implements LayoutManager, Serializable
A layout manager that displays a single component in the center of its container.

Author:
  David Gilbert
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CenterLayout()`
Creates a new layout manager.

## Method Summary

Modifier and Type
Method
Description
`void`
`addLayoutComponent(Component comp)`
Not used.
`void`
`addLayoutComponent(String name, Component comp)`
Not used.
`void`
`layoutContainer(Container parent)`
Lays out the components.
`Dimension`
`minimumLayoutSize(Container parent)`
Returns the minimum size.
`Dimension`
`preferredLayoutSize(Container parent)`
Returns the preferred size.
`void`
`removeLayoutComponent(Component comp)`
Not used.
`void`
`removeLayoutComponent(String name, Component comp)`
Not used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CenterLayout

public CenterLayout()
Creates a new layout manager.

## Method Details

### preferredLayoutSize

public Dimension preferredLayoutSize(Container parent)
Returns the preferred size.

Specified by:
  `preferredLayoutSize` in interface `LayoutManager`
Parameters:
  `parent` - the parent.
Returns:
  the preferred size.

### minimumLayoutSize

public Dimension minimumLayoutSize(Container parent)
Returns the minimum size.

Specified by:
  `minimumLayoutSize` in interface `LayoutManager`
Parameters:
  `parent` - the parent.
Returns:
  the minimum size.

### layoutContainer

public void layoutContainer(Container parent)
Lays out the components.

Specified by:
  `layoutContainer` in interface `LayoutManager`
Parameters:
  `parent` - the parent.

### addLayoutComponent

public void addLayoutComponent(Component comp)
Not used.

Parameters:
  `comp` - the component.

### removeLayoutComponent

public void removeLayoutComponent(Component comp)
Not used.

Specified by:
  `removeLayoutComponent` in interface `LayoutManager`
Parameters:
  `comp` - the component.

### addLayoutComponent

public void addLayoutComponent(String name, Component comp)
Not used.

Specified by:
  `addLayoutComponent` in interface `LayoutManager`
Parameters:
  `name` - the component name.
  `comp` - the component.

### removeLayoutComponent

public void removeLayoutComponent(String name, Component comp)
Not used.

Parameters:
  `name` - the component name.
  `comp` - the component.